> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball/json-objects/stats-objects/period-action-aggregates.md).

# Period Action Aggregates

Represents the aggregated statistics of all team actions for a given period within a match.

## Properties

<table data-header-hidden><thead><tr><th width="269">Property</th><th>Description</th></tr></thead><tbody><tr><td>period<br><em><mark style="color:blue;">integer</mark></em></td><td>The period of the match</td></tr><tr><td>label<br><em><mark style="color:blue;">string</mark></em></td><td>The string <a data-footnote-ref href="#user-content-fn-1">value</a> relating to the period.</td></tr><tr><td>type<br><em><mark style="color:blue;">string</mark></em></td><td>The match <a data-footnote-ref href="#user-content-fn-2">type</a>.</td></tr><tr><td>Aggregates<br><a href="broken://pages/geukZqnlILnyCdgIdmda"><em><mark style="color:blue;">Action Aggregates []</mark></em></a></td><td>Aggregated event data that comprises of general attributes and event specific attributes and is grouped by sport specific action types.</td></tr></tbody></table>

```json
{
          "period": 1,
          "label":"1st half",
          "type":"Regular"
          "aggregates": [
            {
              "action": "Kick Off",
              "actionId": 121,
              "actionAggregate": 1,
              "subActionAggregates": []
            },
            {
              "action": "Safe",
              "actionId": 101,
              "actionAggregate": 63,
              "subActionAggregates": []
            },
            {
              "action": "Attack",
              "actionId": 102,
              "actionAggregate": 61,
              "subActionAggregates": []
            },
            {
              "action": "Dangerous Attack",
              "actionId": 103,
              "actionAggregate": 41,
              "subActionAggregates": []
            },
            {
              "action": "Throw In Awarded",
              "actionId": 126,
              "actionAggregate": 14,
              "subActionAggregates": []
            },
            {
              "action": "Throw In Taken",
              "actionId": 113,
              "actionAggregate": 14,
              "subActionAggregates": []
            },
            {
              "action": "Free Kick",
              "actionId": 118,
              "actionAggregate": 2,
              "subActionAggregates": []
            },
            {
              "action": "Corner Awarded",
              "actionId": 127,
              "actionAggregate": 1,
              "subActionAggregates": []
            },
            {
              "action": "Corner Taken",
              "actionId": 108,
              "actionAggregate": 1,
              "subActionAggregates": []
            },
            {
              "action": "Shot",
              "actionId": 111,
              "actionAggregate": 3,
              "subActionAggregates": [
                {
                  "subAction": "Blocked",
                  "subActionId": 11103,
                  "subActionAggregate": 2
                },
                {
                  "subAction": "Wide/Over (Off Target)",
                  "subActionId": 11105,
                  "subActionAggregate": 1
                }
              ]
            },
            {
              "action": "Goal Kick",
              "actionId": 109,
              "actionAggregate": 7,
              "subActionAggregates": []
            },
            {
              "action": "Dangerous Free Kick",
              "actionId": 115,
              "actionAggregate": 1,
              "subActionAggregates": []
            },
            {
              "action": "Yellow Card",
              "actionId": 107,
              "actionAggregate": 1,
              "subActionAggregates": []
            }
          ]
        }
```

[^1]: Example <mark style="color:orange;">1st half</mark>

[^2]: Example <mark style="color:orange;">Regular</mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/basketball/json-objects/stats-objects/period-action-aggregates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
